zenilib: BuiltInFunctionEmulator Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | List of all members
BuiltInFunctionEmulator Class Reference

`#include <BuiltInFunctionEmulator.h>`

## Public Member Functions

| BuiltInFunctionEmulator (ShShaderType shaderType)
void | Cleanup ()
void | MarkBuiltInFunctionsForEmulation (TIntermNode *root)
void | OutputEmulatedFunctionDefinition (TInfoSinkBase &out, bool withPrecision) const
bool | SetFunctionCalled (TOperator op, const TType &param)
bool | SetFunctionCalled (TOperator op, const TType &param1, const TType &param2)

## Static Public Member Functions

static TString | GetEmulatedFunctionName (const TString &name)

## Detailed Description

Definition at line 20 of file BuiltInFunctionEmulator.h.

## Constructor & Destructor Documentation

BuiltInFunctionEmulator::BuiltInFunctionEmulator | ( | ShShaderType | shaderType | ) |

Definition at line 268 of file BuiltInFunctionEmulator.cpp.

References SH_FRAGMENT_SHADER.

## Member Function Documentation

void BuiltInFunctionEmulator::Cleanup | ( |  | ) |

Definition at line 394 of file BuiltInFunctionEmulator.cpp.

Referenced by TCompiler::clearResults().

TString BuiltInFunctionEmulator::GetEmulatedFunctionName | ( | const TString & | name | ) |

static

Definition at line 400 of file BuiltInFunctionEmulator.cpp.

References ASSERT.

Referenced by TOutputGLSLBase::visitAggregate(), and TOutputGLSLBase::visitUnary().

void BuiltInFunctionEmulator::MarkBuiltInFunctionsForEmulation | ( | TIntermNode * | root | ) |

Definition at line 385 of file BuiltInFunctionEmulator.cpp.

References ASSERT, and TIntermNode::traverse().

Referenced by TCompiler::compile().

void BuiltInFunctionEmulator::OutputEmulatedFunctionDefinition | ( | TInfoSinkBase & | out,
|  | bool | withPrecision
| ) |  | const

Definition at line 305 of file BuiltInFunctionEmulator.cpp.

References i.

Referenced by TranslatorESSL::translate(), and TranslatorGLSL::translate().

bool BuiltInFunctionEmulator::SetFunctionCalled | ( | TOperator | op,
|  | const TType & | param
| ) |  |

Definition at line 279 of file BuiltInFunctionEmulator.cpp.

Referenced by SetFunctionCalled().

bool BuiltInFunctionEmulator::SetFunctionCalled | ( | TOperator | op,
|  | const TType & | param1,
|  | const TType & | param2
| ) |  |

Definition at line 286 of file BuiltInFunctionEmulator.cpp.

References SetFunctionCalled().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/BuiltInFunctionEmulator.h
- zenilib/jni/external/angle/src/compiler/BuiltInFunctionEmulator.cpp